import bpy

from maszyna_dev_tools.export_t3d.src.export_strategies import (
    MeshExportStrategy,
    FreespotlightExportStrategy,
    StarsExportStrategy,
    )

class ExportStrategiesFactory:
    def get_export_startegy_for_object(self, obj: bpy.types.Object) -> object: # TODO: More precise return type annotation
        if obj.type == "MESH":
            return MeshExportStrategy()
        elif obj.type == "LAMP" and obj.data.type == "SPOT":
            return FreespotlightExportStrategy()
        else:
            return None
