import os
import math

import bpy

from maszyna_dev_tools.export_t3d.src.export_strategies_factory import ExportStrategiesFactory

class ModelExporter:
    def __init__(self):
        self.export_strategies_factory = ExportStrategiesFactory()

    def export_model(self, config):
        objects_list = bpy.context.selected_objects if config.use_selection else bpy.data.objects

        with open(config.filepath, "w") as output_file:
            for obj in objects_list:
                export_strategy = self.export_strategies_factory.get_export_startegy_for_object(obj)
                if export_strategy is not None:
                    export_strategy.config = config
                    t3d_code = export_strategy.get_t3d_code(obj)
                    output_file.write(t3d_code)
                else:
                    continue
